Bug 109487 - [patch] polish/ekg to rc2 of version 1.7
Summary: [patch] polish/ekg to rc2 of version 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-24 14:30 UTC by Aleksander Fafula
Modified: 2007-02-25 07:40 UTC (History)
0 users

See Also:


Attachments
ekg_to_17rc2.patch (2.95 KB, patch)
2007-02-24 14:30 UTC, Aleksander Fafula
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksander Fafula 2007-02-24 14:30:05 UTC

Upgrade to 1.7.rc2. Removed default aspell but added option for this.
Comment 1 Edwin Groothuis freebsd_committer 2007-02-24 14:30:17 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2007-02-24 14:30:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Rong-En Fan freebsd_committer 2007-02-24 14:33:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 4 Rong-En Fan freebsd_committer 2007-02-24 14:46:53 UTC
State Changed
From-To: feedback->open

Submitter is maintainer. 


Comment 5 Rong-En Fan freebsd_committer 2007-02-24 14:46:53 UTC
Class Changed
From-To: change-request->maintainer-update

Submitter is maintainer.
Comment 6 Aleksander Fafula 2007-02-24 17:06:42 UTC
>Submitter-Id:	current-users 
>Originator:	Aleksander Fafula 
>Organization:	. 
>Confidential:	no 
>Synopsis:	Re: ports/109487: [patch] polish/ekg to rc2 of version 1.7 
>Severity:	non-critical 
>Priority:	low 
>Category:	ports 
>Class:		maintainer-update 
>Release:	FreeBSD 7.0-CURRENT i386 
>Environment:


System: FreeBSD 7.0-CURRENT #0: Sat Feb 17 19:31:11 CET 2007
    root@o:/home/obj/usr/src/sys/ALEX



>Description:


This patch should be applied despite the previous one.


>How-To-Repeat:





>Fix:


--- ekg_newer.patch begins here ---
diff -ruN ekg.orig/Makefile ekg/Makefile
--- ekg.orig/Makefile	Wed Jan 17 01:39:47 2007
+++ ekg/Makefile	Sat Feb 24 16:47:43 2007
@@ -5,29 +5,37 @@
 # $FreeBSD: ports/polish/ekg/Makefile,v 1.22 2006/11/05 08:06:09 lawrance Exp $
 
 PORTNAME=		ekg
-PORTVERSION=		1.6
-PORTREVISION=		1
+PORTVERSION=		1.7.r2
 PORTEPOCH=		2
 CATEGORIES=		polish net-im
 MASTER_SITES=		http://ekg.chmurka.net/
+DISTNAME=		${PORTNAME}-1.7rc2
 
 MAINTAINER=		alex@bsdguru.org
 COMMENT=		Text-mode Gadu-Gadu client
 
-LIB_DEPENDS=		aspell.16:${PORTSDIR}/polish/aspell \
-			gadu.3:${PORTSDIR}/polish/libgadu
+LIB_DEPENDS=		gadu.3:${PORTSDIR}/polish/libgadu
 
 USE_GMAKE=		yes
 GNU_CONFIGURE=		yes
 USE_GNOME=		gnomehack pkgconfig
 CONFIGURE_ARGS+=	--disable-shared \
 			--disable-static \
-			--enable-dynamic \
-			--enable-aspell
+			--enable-dynamic
+
 CONFIGURE_ENV=		CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include" \
 			CFLAGS="${CFLAGS} -I${LOCALBASE}/include" \
 			LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
 
+OPTIONS=	ASPELL "Build with ASPELL support" off
+		
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_ASPELL)
+LIB_DEPENDS+=		aspell.16:${PORTSDIR}/polish/aspell
+CONFIGURE_ARGS+=	--enable-aspell
+.endif
+
 USE_LDCONFIG=	yes
 
 MAN1=		ekg.1
@@ -37,4 +45,4 @@
 post-install:
 	${STRIP_CMD} ${PREFIX}/bin/ekg
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN ekg.orig/distinfo ekg/distinfo
--- ekg.orig/distinfo	Wed Jan 17 01:39:47 2007
+++ ekg/distinfo	Sat Feb 24 15:00:50 2007
@@ -1,3 +1,3 @@
-MD5 (ekg-1.6.tar.gz) = 1094eee5062d9b9900c4b28bd68fb564
-SHA256 (ekg-1.6.tar.gz) = c6dc601e20bb43c94f5689f05bca8e8501af4cff9dd760afdb3d6998c6952c28
-SIZE (ekg-1.6.tar.gz) = 503852
+MD5 (ekg-1.7rc2.tar.gz) = b4ea482130e163af1456699e2e6983d9
+SHA256 (ekg-1.7rc2.tar.gz) = 17b42147dfe4ef8b7d901e285d68c490f7c645240c6934c23f0db82e61ace915
+SIZE (ekg-1.7rc2.tar.gz) = 514073
diff -ruN ekg.orig/files/patch-configure ekg/files/patch-configure
--- ekg.orig/files/patch-configure	Wed Jan 17 01:39:47 2007
+++ ekg/files/patch-configure	Sat Feb 24 16:29:53 2007
@@ -1,6 +1,6 @@
---- configure.orig	Sun Jul  2 17:24:39 2006
-+++ configure	Sun Jul  2 17:25:50 2006
-@@ -3813,12 +3813,6 @@
+--- configure.orig	Sat Feb 24 16:28:42 2007
++++ configure	Sat Feb 24 16:29:20 2007
+@@ -3821,12 +3821,6 @@
  	lib_static_enabled=no
  fi
  
@@ -13,11 +13,19 @@
  # Check whether --enable-dynamic or --disable-dynamic was given.
  if test "${enable_dynamic+set}" = set; then
    enableval="$enable_dynamic"
-@@ -4770,7 +4764,6 @@
- 	LIBS_LIBGADU="$LIBS_LIBGADU $OPENSSL_LIBS"
- 	CFLAGS="$CFLAGS $OPENSSL_INCLUDES"
- 	CFLAGS_LIBGADU="$CFLAGS_LIBGADU $OPENSSL_INCLUDES"
--	PC_REQUIRES="$PC_REQUIRES openssl"
+@@ -3834,7 +3828,6 @@
+ fi;
+ 
+ 
+-
+ # Check whether --with-c99-vsnprintf or --without-c99-vsnprintf was given.
+ if test "${with_c99_vsnprintf+set}" = set; then
+   withval="$with_c99_vsnprintf"
+@@ -4786,7 +4779,6 @@
+ 	if test "x$enable_libgadu_openssl" != "xno"; then
+ 		LIBS_LIBGADU="$LIBS_LIBGADU $OPENSSL_LIBS"
+ 		CFLAGS_LIBGADU="$CFLAGS_LIBGADU $OPENSSL_INCLUDES"
+-		PC_REQUIRES="$PC_REQUIRES openssl"
  
  	sed 's/#undef __GG_LIBGADU_HAVE_OPENSSL/#define __GG_LIBGADU_HAVE_OPENSSL/' < lib/libgadu-config.h > lib/libgadu-config.h-
  	mv -f lib/libgadu-config.h- lib/libgadu-config.h
--- ekg_newer.patch ends here ---
Comment 7 dfilter service freebsd_committer 2007-02-25 07:32:52 UTC
rafan       2007-02-25 07:32:46 UTC

  FreeBSD ports repository

  Modified files:
    polish/ekg           Makefile distinfo 
    polish/ekg/files     patch-configure 
  Log:
  - Update to 1.7 RC2
  - Remove default aspell. Add option for that.
  
  PR:             ports/109487
  Submitted by:   Aleksander Fafula (maintainer)
  
  Revision  Changes    Path
  1.23      +15 -7     ports/polish/ekg/Makefile
  1.13      +3 -3      ports/polish/ekg/distinfo
  1.3       +16 -8     ports/polish/ekg/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Rong-En Fan freebsd_committer 2007-02-25 07:32:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!